#!/bin/bash
#PJM -L rscgrp=lecture-flat
#PJM -L node=1
#PJM --mpi proc=33
#PJM -L elapse=0:15:00
#PJM -g gt00
#PJM -S

module purge
module load intel/2018.1.163
export HOME=/work/gt00/$USER
. /work/gt00/share/OpenFOAM/OpenFOAM-v1712/etc/bashrc \
WM_COMPILER=Icc2018_1_163 WM_MPLIB=INTELMPI2018_1_163

. /usr/local/bin/mpi_core_setting.sh
export I_MPI_DEBUG=5

env
foamRunTutorials >& $PJM_JOBNAME.l$PJM_JOBID
