#!/bin/bash
#PJM -L rscgrp=lecture-flat
#PJM -L node=1
#PJM --mpi proc=4
#PJM -L elapse=0:15:00
#PJM -g gt00
#PJM -S

export HOME=/work/gt00/$USER
module purge
module load gcc/4.8.5
module load openfoam/4.1
source $WM_PROJECT_DIR/etc/bashrc

. /usr/local/bin/mpi_core_setting.sh
export I_MPI_DEBUG=5

env
mpiexec.hydra -n $PJM_MPI_PROC \
numactl -p1 \
icoFoam -parallel >& $PJM_JOBNAME.l$PJM_JOBID
